Lấy danh sách deals
curl --request GET \
--url https://services.entrade.com.vn/entrade-api/derivative/deals \
--header 'Authorization: Bearer <token>'import requests
url = "https://services.entrade.com.vn/entrade-api/derivative/deals"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://services.entrade.com.vn/entrade-api/derivative/deals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://services.entrade.com.vn/entrade-api/derivative/deals",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://services.entrade.com.vn/entrade-api/derivative/deals"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://services.entrade.com.vn/entrade-api/derivative/deals")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://services.entrade.com.vn/entrade-api/derivative/deals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 123,
"bankId": 123,
"bankAccountId": 123,
"investorId": 123,
"investorAccountId": 123,
"bankMarginPortfolioId": 123,
"symbol": "<string>",
"side": "<string>",
"positionCostPrice": 123,
"stockClosePrice": 123,
"averageCostPrice": 123,
"averageClosedPrice": 123,
"adjustedCostPrice": 123,
"openQuantity": 123,
"closedQuantity": 123,
"initialQuantity": 123,
"type": "<string>",
"currentMarginRate": 123,
"cash": 123,
"cashSecure": 123,
"receivable": 123,
"loan": 123,
"secure": 123,
"additionalSecure": 123,
"interest": 123,
"totalDebt": 123,
"tradingFeeAmount": 123,
"marginExcessAmount": 123,
"marginCallAmount": 123,
"sellingTaxAmount": 123,
"moneyAdvanceFeeAmount": 123,
"moneyAdvanceAmount": 123,
"stockBorrowFee": 123,
"positionRealizedProfit": 123,
"lastRealizedProfit": 123,
"positionUnrealizedProfit": 123,
"receivedQuantity": 123,
"positionType": 123,
"createdDate": "<string>",
"modifiedDate": "<string>",
"investorSettlementAmount": 123,
"bankSettlementAmount": 123,
"sourDebtPayment": 123,
"tradingTaxAmount": 123,
"closedPositionFeeAmount": 123,
"netProfit": 123,
"unrealizedTotalTaxAndFee": 123,
"status": "<string>",
"assetManagementOvernightFeeAmount": 123,
"unrealizedTradingTaxFactor": 123,
"accumulatedSecure": 123,
"breakEvenPrice": 123,
"collectedInterestAndFee": 123,
"releasedSecureAndProfit": 123,
"dailyReleasedSecureAndProfit": 123,
"dailyReleasedNetProfit": 123,
"totalInterestAndFeeWithoutClosingTax": 123,
"orderIds": [
123
],
"totalInterestAndFee": 123,
"coInvestTax": 123,
"fixedNetProfit": 123,
"overdueInterestRate": 123,
"dailyStockBorrowFee": 123,
"companySecureRate": 123,
"closedPositionFee": 123,
"moneyAdvanceRate": 123,
"assetManagementOvernightFee": 123,
"overnightRate": 123,
"sellingTaxRate": 123,
"bankSecureRate": 123,
"vsdSecureRate": 123,
"tradingTaxRate": 123,
"coInvestTaxRate": 123,
"settled": true,
"remainingTradeableQuantity": 123,
"marginStatus": "<string>",
"totalFee": 123,
"netProfitRate": 123,
"initialMarginRate": 123,
"interestRate": 123,
"tradingFeeRate": 123,
"marginRate": 123,
"maintenanceRate": 123,
"additionalRate": 123,
"liquidateMarginRate": 123,
"closed": true,
"state": "<string>"
}
],
"total": 123,
"start": 123,
"end": 123
}{
"code": "<string>",
"message": "<string>",
"status": 123
}{
"code": "<string>",
"message": "<string>",
"status": 123
}Phái sinh
Lấy danh sách deals
Lấy danh sách deals Phái Sinh.
GET
/
derivative
/
deals
Lấy danh sách deals
curl --request GET \
--url https://services.entrade.com.vn/entrade-api/derivative/deals \
--header 'Authorization: Bearer <token>'import requests
url = "https://services.entrade.com.vn/entrade-api/derivative/deals"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://services.entrade.com.vn/entrade-api/derivative/deals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://services.entrade.com.vn/entrade-api/derivative/deals",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://services.entrade.com.vn/entrade-api/derivative/deals"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://services.entrade.com.vn/entrade-api/derivative/deals")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://services.entrade.com.vn/entrade-api/derivative/deals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 123,
"bankId": 123,
"bankAccountId": 123,
"investorId": 123,
"investorAccountId": 123,
"bankMarginPortfolioId": 123,
"symbol": "<string>",
"side": "<string>",
"positionCostPrice": 123,
"stockClosePrice": 123,
"averageCostPrice": 123,
"averageClosedPrice": 123,
"adjustedCostPrice": 123,
"openQuantity": 123,
"closedQuantity": 123,
"initialQuantity": 123,
"type": "<string>",
"currentMarginRate": 123,
"cash": 123,
"cashSecure": 123,
"receivable": 123,
"loan": 123,
"secure": 123,
"additionalSecure": 123,
"interest": 123,
"totalDebt": 123,
"tradingFeeAmount": 123,
"marginExcessAmount": 123,
"marginCallAmount": 123,
"sellingTaxAmount": 123,
"moneyAdvanceFeeAmount": 123,
"moneyAdvanceAmount": 123,
"stockBorrowFee": 123,
"positionRealizedProfit": 123,
"lastRealizedProfit": 123,
"positionUnrealizedProfit": 123,
"receivedQuantity": 123,
"positionType": 123,
"createdDate": "<string>",
"modifiedDate": "<string>",
"investorSettlementAmount": 123,
"bankSettlementAmount": 123,
"sourDebtPayment": 123,
"tradingTaxAmount": 123,
"closedPositionFeeAmount": 123,
"netProfit": 123,
"unrealizedTotalTaxAndFee": 123,
"status": "<string>",
"assetManagementOvernightFeeAmount": 123,
"unrealizedTradingTaxFactor": 123,
"accumulatedSecure": 123,
"breakEvenPrice": 123,
"collectedInterestAndFee": 123,
"releasedSecureAndProfit": 123,
"dailyReleasedSecureAndProfit": 123,
"dailyReleasedNetProfit": 123,
"totalInterestAndFeeWithoutClosingTax": 123,
"orderIds": [
123
],
"totalInterestAndFee": 123,
"coInvestTax": 123,
"fixedNetProfit": 123,
"overdueInterestRate": 123,
"dailyStockBorrowFee": 123,
"companySecureRate": 123,
"closedPositionFee": 123,
"moneyAdvanceRate": 123,
"assetManagementOvernightFee": 123,
"overnightRate": 123,
"sellingTaxRate": 123,
"bankSecureRate": 123,
"vsdSecureRate": 123,
"tradingTaxRate": 123,
"coInvestTaxRate": 123,
"settled": true,
"remainingTradeableQuantity": 123,
"marginStatus": "<string>",
"totalFee": 123,
"netProfitRate": 123,
"initialMarginRate": 123,
"interestRate": 123,
"tradingFeeRate": 123,
"marginRate": 123,
"maintenanceRate": 123,
"additionalRate": 123,
"liquidateMarginRate": 123,
"closed": true,
"state": "<string>"
}
],
"total": 123,
"start": 123,
"end": 123
}{
"code": "<string>",
"message": "<string>",
"status": 123
}{
"code": "<string>",
"message": "<string>",
"status": 123
}Ủy quyền
JWT token lấy từ API đăng nhập.
Tham số truy vấn
Mã tiểu khoản
Index lấy deal đầu tiên
Index lấy deal cuối cùng
Field dùng để sort
Thứ tự